/** 
 *******************************************************************************
 * @file    tspi_m4k2.h
 * @brief   This file provides all the functions prototypes for TSPI driver.
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2022
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __TSPI_M4K2_H
#define __TSPI_M4K2_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "tspi_e.h"

/**
 *  @addtogroup Periph_Driver
 *  @{
 */

/** 
 *  @defgroup TSPI TSPI
 *  @brief    TSPI Driver.
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Table Definition                                                            */
/*------------------------------------------------------------------------------*/
/* see PINFO: Serial Peripheral Interface (TSPI) -> [TSPIxCR2]<RXDLY> set value */
#define VALID_RXDLY_SETTING_TABLE_SIZE  (2U)
static const uint32_t valid_rxdly_setting_table[VALID_RXDLY_SETTING_TABLE_SIZE] = {
    TSPI_RXDLY_FSYS_FSCK_2,     /* fsysm <= 40MHz */
    TSPI_RXDLY_FSYS_FSCK_4      /* fsysm >  40MHz */
};


/**
 *  @}
 */ /* End of group TSPI */
/**
 *  @}
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __TSPI_M4K2_H */


