/** 
 *******************************************************************************
 * @file    sys_timer.h
 * @brief   This file provides all the functions prototypes for sys_timer.
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2022
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __SYS_TIMER_H
#define __SYS_TIMER_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "driver_com.h"

/**
 *  @addtogroup Utility Utility
 *  @{
 */

/** 
 *  @defgroup sys_time
 *  @brief    sys_time utility
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup sys_time_Exported_macro sys_time Exported Macro
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group sys_time_Exported_macro */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup sys_time_Exported_define sys_time Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group sys_time_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup sys_time_Exported_define sys_time Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group sys_time_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup sys_time_Exported_typedef sys_time Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group sys_timeL_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup sys_time_Exported_functions sys_time Exported Functions
 *  @{
 */

void hal_inc_tick(void);
uint32_t hal_get_tick(void);
void wait(uint32_t count);

/**
 *  @}
 */ /* End of group sys_time_Exported_functions */

/**
 *  @}
 */ /* End of group sys_time */

/**
 *  @}
 */ /* End of group Utility */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __SYS_TIMER_H */


